#ifndef Icons_h
#define Icons_h

// $Id: Icons.h,v 1.4 2013/02/22 12:05:50 hupereir Exp $

/******************************************************************************
 *
 * Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
 *
 * This is free software; you can redistribute it and/or modify it under the
 * terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 *
 * This software is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * software; if not, write to the Free Software Foundation, Inc., 59 Temple
 * Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *
 *******************************************************************************/

#include <QString>

/*
  BaseIcons is not necessary here
  but it is included to avoid conflicts
  between icons wrapping names
*/
#include "BaseIcons.h"

//! namespace for icon static name wrappers
namespace ICONS
{

  static const QString SAVE = "filesave.png";
  static const QString GRAB = "colorpicker.png";

};

#endif
